%global         srcname     adal
%global         tarname     azure-activedirectory-library-for-python
%global common_description %{expand:
Microsoft Azure Active Directory Authentication Library (ADAL) for Python.}

Summary:        Microsoft Azure Active Directory Authentication Library (ADAL) for Python
Name:           python-%{srcname}
Version:        1.2.7
Release:        5%{?dist}
License:        MIT
URL:            https://github.com/AzureAD/%{tarname}
Source0:        %{url}/archive/%{version}/%{tarname}-%{version}.tar.gz

Patch3000:      %{name}-1.2.0-tests.patch

BuildRequires:  python3-devel python3dist(pytest-asyncio) python3dist(httpretty) python3dist(pytest)

BuildArch:      noarch

%description
%{common_description}

%package -n python3-%{srcname}
Summary:        Microsoft Azure Active Directory Authentication Library (ADAL) for Python

%description -n python3-%{srcname}
%{common_description}

%prep
%autosetup -n %{tarname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pytest

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.7-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.7-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.7-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.7-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jan 13 2023 Shuo Wang <abushwang@tencent.com> - 1.2.7-1
- initial build
